DKBSignDocs

API reference

POSTRequires Bearer token

Send SMS or WhatsApp

/api/notifications/sms

Queue an SMS or WhatsApp message. `channel` is `sms` or `whatsapp`. Phone numbers must start with `+`.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
channel
Required
string`sms` or `whatsapp`.
e.g. "sms"
phone_number
Required
stringRecipient in international format.
e.g. "+2250700000001"
message
Required
stringMessage body (max 255 characters).
e.g. "Your code is 00990"

Responses

StatusMeaning
202See the example response.
500See the example response.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/notifications/sms' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"channel":"sms","phone_number":"+2250700000001","message":"Your code is 00990"}'

Response 202

json
{
  "status": "success",
  "message": "Notification sent successfuly"
}